생명주기 프로파일 조회

지정한 생명주기 프로파일을 조회합니다. 이 작업은 관리자 권한을 요구합니다.

HTTP 요청

GET /api/sonar/lifecycle-profiles/:guid
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
    https://HOSTNAME/api/sonar/lifecycle-profiles/4856ea13-a4ce-41f8-8a5d-29a2903e17b3
요청 매개변수
경로 매개변수
타입설명비고
guid문자열생명주기 프로파일 GUID예: 4856ea13-a4ce-41f8-8a5d-29a2903e17b3

정상 응답

{
  "profile": {
    "guid": "4856ea13-a4ce-41f8-8a5d-29a2903e17b3",
    "name": "default",
    "description": null,
    "configs": {
      "hot": {
        "retention": 10,
        "options": {
          "quota_per_node": 0,
          "quota_per_node_unit": "mb"
        }
      },
      "warm": {
        "base_path": "/warm",
        "retention": 40,
        "options": {
          "quota_per_node": 0,
          "quota_per_node_unit": "mb",
          "direct_copy": false
        }
      },
      "cold": {
        "base_path": "s3:///",
        "retention": 405,
        "options": {
          "quota_per_node": 1000,
          "quota_per_node_unit": "tb",
          "direct_copy": true
        }
      }
    }
  }
}
  • profile (맵): 지정된 생명주기 프로파일
    • guid (문자열): 생명주기 프로파일 GUID
    • name (문자열): 생명주기 프로파일 이름
    • description (문자열): 생명주기 프로파일 설명
    • configs (맵): 생명주기 프로파일 설정
      • hot/warm/cold (맵): 스토리지 계층(Hot, Warm, Cold)별 설정
        • base_path (문자열): 데이터를 저장할 기본 경로
        • retention (32비트 정수): 일 단위 데이터 보관 기간. 생성 날짜 기준으로 보관 기간이 지나면 하위 계층으로 이동
        • options (맵): 생명주기 프로파일 선택 옵션
          • quota_per_node (32비트 정수): 노드 단위로 할당된 저장 공간
          • quota_per_node_unit (문자열): quota_per_node의 단위. mb, gb, tb 중 하나
          • direct_copy (불리언): 롤오버할 때 직접 복사 여부
          • rollover_on_diskfull (불리언): 디스크 공간 부족 시 롤오버 수행 여부

오류 응답

guid 값이 GUID 형식이 아닌 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "Invalid UUID string: invalid"
}
생명주기 프로파일이 존재하지 않는 경우

HTTP 상태 코드 200 응답

{
  "profile": null
}
권한이 없는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}